---
title: "Poll - Request Merchant Config"
source_url: https://docs.rapyd.net/en/poll---request-merchant-config.html
lang: en
---

# Poll - Request Merchant Config

Send a request using the poll method to discover available multi-tenant merchant profiles configured on a PAX POS device.

This endpoint allows you to retrieve merchant configuration information from a payment device using polling. The terminal will respond with available merchants, currencies, and terminal details.

**Flow:**

1. Send request to terminal with pollId.
2. Terminal processes request.
3. Poll the /poll/terminalConfigResponse/{pollId} endpoint to retrieve the response.

**Response:** Use the returned pollId to poll the terminalConfigResponse endpoint until the response is available. The response will contain eventType "MERCHANT_CONFIG" with merchant configuration details.

**Rate Limiting:** The polling endpoint is rate-limited to one call per second per pollId.

> **Note:**
>
> Merchant configuration requests do **not** trigger a `SALE_RECEIVED` event. The terminal immediately processes the request. To retrieve the result, you must poll the **/poll/terminalConfigResponse/{pollId}** endpoint, NOT the standard terminal response endpoint.

### Parameters

### Request Header Parameters

- - X-API-KEY
  - Unique access key provided by Rapyd for each partner.

### Request Body Parameters

- - pollId
  - The ID used to poll after a terminal response.

- - deviceToken
  - The token of a PAX POS device.

- - correlationId
  - An ID provided by the caller. Will be returned in the callback for message matching.

- - timeToLive
  - The maximum time, in seconds, for a request to reach the physical terminal. The default value is 5 seconds.

- - terminalId
  - If terminal has more than one merchant, this field is used to identify the merchant. To get a list of merchants, use the requestMerchantConfig request. Value can be null.

### 202 Accepted Response

- - message
  - Accepted

### 400 Error Response

- - type
  - Example: https://tools.ietf.org/html/rfc7231#section-6.5.1

- - title
  - Bad Request

- - status
  - 400

- - detail
  - DeviceId not registered

### 401 Error Response

- - message
  - Unauthorized

### 500 Error Response

- - message
  - Server Error

- /poll/requestMerchantConfig

- 202 Accepted Poll Request Merchant Config
- ```curl
  curl -X post https://CloudLinkApi/poll/requestMerchantConfig \
  -H 'X-API-KEY: your-access-key-here' \
  -d '
  {
    "pollId": "e855e0cf-a026-4614-9dcb-58814455b6a4",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Accepted"	
  }
  ```

- 400 Bad Request
- ```curl
  curl -X post https://CloudLinkApi/poll/requestMerchantConfig \
  -H 'X-API-KEY: your-access-key-here' \
  -d '
  {
    "pollId": "e855e0cf-a026-4614-9dcb-58814455b6a4",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  '
  ```
- ```json
  {
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "Bad Request",
    "status": 400,
    "detail": "DeviceId not registered"
  }
  ```

- 401 Unauthorized
- ```curl
  curl -X post https://CloudLinkApi/poll/requestMerchantConfig \
  -H 'X-API-KEY: your-access-key-here' \
  -d '
  {
    "pollId": "e855e0cf-a026-4614-9dcb-58814455b6a4",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Unauthorized"
  }
  ```

- 500 Server Error
- ```curl
  curl -X post https://CloudLinkApi/poll/requestMerchantConfig \
  -H 'X-API-KEY: your-access-key-here' \
  -d '
  {
    "pollId": "e855e0cf-a026-4614-9dcb-58814455b6a4",
    "deviceToken": "b16526c3447ba6cea4818d",
    "correlationId": "5d1d4ea-8229-44d7-b517-26a5ae6c2fda",
    "timeToLive": 5,
    "terminalId": null
  }
  '
  ```
- ```json
  {
    "message": "Server Error"
  }
  ```
